Loading...
Searching...
No Matches
XrdCryptoTrace.hh File Reference
`#include "XrdOuc/XrdOucTrace.hh"`
`#include "XrdCrypto/XrdCryptoAux.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
Include dependency graph for XrdCryptoTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DEBUG(y)
#define | EPNAME(x)
#define | PRINT(y)
#define | QTRACE(act)
#define | TRACE(act, x)

## Variables

XrdOucTrace * | cryptoTrace

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | y | ) |

Value:
TRACE(Debug,y)
Debug
bool Debug
Definition XrdSecgsiProxy.cc:95
TRACE
#define TRACE(act, x)
Definition XrdTrace.hh:63

Definition at line 43 of file XrdCryptoTrace.hh.

## EPNAME

#define EPNAME | ( |  | x | ) |

Value:
static const char *epname = x;

Definition at line 44 of file XrdCryptoTrace.hh.

## PRINT

#define PRINT | ( |  | y | ) |

Value:
{if (cryptoTrace) {cryptoTrace->Beg(epname); \
std::cerr <<y; cryptoTrace->End();}}
cryptoTrace
XrdOucTrace * cryptoTrace
Definition XrdCryptoAux.cc:39

Definition at line 40 of file XrdCryptoTrace.hh.

#define PRINT(y) {if (cryptoTrace) {cryptoTrace->Beg(epname); \
std::cerr <<y; cryptoTrace->End();}}

## QTRACE

#define QTRACE | ( |  | act | ) |

Value:
(cryptoTrace && (cryptoTrace->What & cryptoTRACE_ ## act))

Definition at line 39 of file XrdCryptoTrace.hh.

## TRACE

#define TRACE | ( |  | act,
|  |  | x )

Value:
if (QTRACE(act)) PRINT(x)
QTRACE
#define QTRACE(act)
Definition XrdCmsTrace.hh:49
PRINT
#define PRINT(y)
Definition XrdCryptosslTrace.hh:39

Definition at line 42 of file XrdCryptoTrace.hh.

## Variable Documentation

## cryptoTrace

XrdOucTrace* cryptoTrace

extern

Definition at line 39 of file XrdCryptoAux.cc.

Referenced by XrdCryptoSetTrace().